<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: Psc aka PolarFox | Part of BlackBox | Build: 3
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined('IN_FUSION')) { exit;}
if(version_compare($settings['version'], '7.02.00', '<')){exit('BlackBox fatal error: update your PF to version 7.02.x or above.');}
require_once INCLUDES.'infusions_include.php';

if (!defined('DB_BBLISTS')) {
	define('DB_BBLISTS', DB_PREFIX.'bb_lists');
}

//automated-do not touch
global $bb_settings;
$bb_settname = 'blackbox';$bb_settings = get_settings($bb_settname);

$bbx_sett['sqlsymb'] = (bb_checkf('sqlsymb')?$bb_settings['sqlsymb']:'|');//must be upper!
$bbx_sett['sqlsymbuf'] = (bb_checkf('sqlsymbuf')?$bb_settings['sqlsymbuf']:'|');//must be upper!
$bbx_sett['regfn'] = (bb_checkf('regfn')?$bb_settings['regfn']:'register.php'); //register file - for mods or SEO
$bbx_sett['timeline'] = (bb_checkf('timeline')?$bb_settings['timeline']:"%Y-%m-%d %H:%I:%S"); //time-stamp style
$bbx_sett['hashkey'] = (bb_checkf('hashkey')?$bb_settings['hashkey']:'change_me'); //any word - hash-key
$bbx_sett['autoban'] = (bb_checkf('autoban')?$bb_settings['autoban']:true); //true-false - ban for banned answers
$bbx_sett['autoban_txt'] = (bb_checkf('autoban_txt')?$bb_settings['autoban_txt']:'[BlackBox Ban]'); //any typical word
$bbx_sett['incorrlog'] = (bb_checkf('incorrlog')?$bb_settings['incorrlog']:true); //true-false - log incorrect answers (catch the bot)
$bbx_sett['bnpsame'] = (bb_checkf('bnpsame')?$bb_settings['bnpsame']:true); //true-false - block username==userpassword
$bbx_sett['bnumname'] = (bb_checkf('bnumname')?$bb_settings['bnumname']:true); //true-false - block username with only digits (123456,111111)
$bbx_sett['bbcodes'] = (bb_checkf('bbcodes')?$bb_settings['bbcodes']:true); //true-false - allow bbcodes?
$bbx_sett['ccore'] = (bb_checkf('ccore')?$bb_settings['ccore']:false); //true-false - bot-check core active?
$bbx_sett['ccorelog'] = (bb_checkf('ccorelog')?$bb_settings['ccorelog']:false); //true-false - bot-check log?
$bbx_sett['regclean']  = (bb_checkf('regclean')?$bb_settings['regclean']:true); //clean fields on registration?
$bbx_sett['rcfields'] = (bb_checkf('rcfields')?explode($bbx_sett['sqlsymbuf'],$bb_settings['rcfields']):array('user_web','user_sig'));//clean the web and signature
$bbx_sett['template'] = (bb_checkf('template')?stripslashes($bb_settings['template']):
'<tr>
<td class=\'tbl\'>{?}</td>
<td class=\'tbl{ecss}\'>{!}<br/>
<input type=\'text\' name=\'{ufname}\' maxlength=\'100\' class=\'textbox\' style=\'width:200px;\' /></td>
</tr>');//default

function bb_checkf($f){
	global $bb_settings;
	if(isset($bb_settings[$f])&&!empty($bb_settings[$f])) {return true;}
	else {return false;}
}

function bb_rufname(){
	global $bbx_sett,$bb_hashinp_a;
	if($bb_hashinp_a!=false){return false;}//not modifed
	$bb_hashcore = md5($bbx_sett['hashkey'].date("m.d.y").USER_IP);

	$bb_hashinp_a = md5($bb_hashcore.'1');
	$bb_poly_len = (hexdec(substr($bb_hashinp_a , 30,1))+hexdec(substr($bb_hashinp_a , 31,1)));//rand len
	if($bb_poly_len<3) { $bb_poly_len = 10; }//<X means Y
	$bb_hashinp_a = substr($bb_hashinp_a ,0,$bb_poly_len);
	$bb_hashinp_a = str_replace(array('=','+','/'),'', base64_encode($bb_hashinp_a));//hide via a-Z 0-9 
	return true;//created
}

function bb_parset($q,$i,$ufname,$ecss){
	global $bbx_sett;
	return str_replace(
		 array('{?}','{!}','{ufname}','{ecss}'),
		 array($q,$i,$ufname,$ecss)
		 , $bbx_sett['template']);
}
?>